### Method

# Clutter Text position_to_coords

#### Declaration [src]

    gboolean
    clutter_text_position_to_coords (
      ClutterText* self,
      gint position,
      gfloat* x,
      gfloat* y,
      gfloat* line_height
    )

#### Description [src]

Retrieves the coordinates of the given `position`.

#### Parameters

`position`

  Type: `gint`

  Position in characters.

`x`

  Type: `gfloat*`

  Return location for the X coordinate, or `NULL`.

  The argument will be set by the function.

`y`

  Type: `gfloat*`

  Return location for the Y coordinate, or `NULL`.

  The argument will be set by the function.

`line_height`

  Type: `gfloat*`

  Return location for the line height, or `NULL`.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if the conversion was successful.